#!/bin/sh
zoomapp="/Applications/zoom.us.app"
if [ -d $zoomapp ]; then
    sudo mount -uw /
	sudo perl -pi -e "s|\xB3\x01\x85\xC0|\xB3\x00\x85\xC0|g" "$zoomapp/Contents/Frameworks/ZCommonUI.framework/Versions/A/ZCommonUI"
    if [ "$?" -eq 0 ]; then
    	sudo codesign -f -s - "$zoomapp/Contents/Frameworks/ZCommonUI.framework/Versions/A/ZCommonUI"
        echo "Patched \"$zoomapp\"."
    else
        echo "Couldn't patch Zoom, or Zoom is already patched."
    fi
else
	echo "Couldn't patch Zoom. Please make sure Zoom is installed at \"$zoomapp\"."
fi
